classification
Title: devguide needs pictures
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ezio.melotti, ncoghlan, techtonik
Priority: normal Keywords:

Created on 2013-11-15 10:13 by techtonik, last changed 2014-07-08 13:09 by ezio.melotti. This issue is now closed.

Messages (6)
msg202933 - (view) Author: anatoly techtonik (techtonik) Date: 2013-11-15 10:13
http://docs.python.org/devguide/

it covers pretty much complicated stuff, which takes a lot of time to grasp. Pictures help to save hours if not weeks. There needs to be some immediate intro picture at the top of front page illustrating transformation of Python code through the toolchain to machine execution instructions.
msg202935 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-15 11:05
Feel free to draw some and send a patch.
msg202950 - (view) Author: anatoly techtonik (techtonik) Date: 2013-11-15 13:20
Thanks for the proposal, but you know perfectly that I am not a designer. I don't believe that there are no talented people who find this ticket interesting. You just need to add tag:easy to is (or allow others to do), so it became visible to these people via OpenHatch or through PSF outreach initiatives.
msg203014 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-11-16 09:00
We're not designers either. However, something that *could* help is to investigate whether or not the blockdiag and seqdiag Sphinx extensions can be integrated into the build toolchain for the devguide and the main Python docs.

That would drastically lower the barrier for including basic diagrams where appropriate (since it would just be ASCII art inside an appropriate Sphinx directive) and thus greatly increase the chance of it happening.
msg203105 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 23:07
Plain ASCII-art might also be enough, but without specific indication of what kind of pictures you want and where you want them I'm going to close this.
msg222384 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-06 00:04
Please close this.
History
Date User Action Args
2014-07-08 13:09:56ezio.melottisetstatus: open -> closed
resolution: works for me
type: enhancement
stage: resolved
2014-07-06 00:04:15BreamoreBoysetstatus: pending -> open
nosy: + BreamoreBoy
messages: + msg222384

2013-11-16 23:07:57ezio.melottisetstatus: open -> pending

messages: + msg203105
2013-11-16 09:00:45ncoghlansetmessages: + msg203014
2013-11-15 13:20:39techtoniksetmessages: + msg202950
2013-11-15 11:05:34ncoghlansetnosy: + ncoghlan
messages: + msg202935
2013-11-15 10:13:10techtonikcreate